> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete collection

> Delete a File collection.

**Operation ID:** `http.collections.delete`

```http theme={null}
DELETE /v1/orgs/{org}/projects/{project}/files/collections/{collection}
```


## OpenAPI

````yaml openapi.json DELETE /v1/orgs/{org}/projects/{project}/files/collections/{collection}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/collections/{collection}:
    delete:
      tags:
        - Collections
      summary: Delete collection
      description: |-
        Delete a File collection.

        Product guidance: [Collection](/concepts/collection).
      operationId: http.collections.delete
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: collection
          in: path
          required: true
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          required: true
          description: >-
            1–200 printable ASCII characters, no surrounding spaces; '.' and
            '..' are reserved. Reuse this key with the same request when
            retrying an uncertain outcome.
          schema:
            type: string
            minLength: 1
            maxLength: 200
            pattern: ^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_collections_delete_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_collections_delete_response:
      anyOf:
        - type: object
          properties:
            request_id:
              type: string
            outcome:
              type: string
              const: applied
            replayed:
              type: boolean
            data:
              type: object
              properties:
                kind:
                  type: string
                  const: file_organize
                mode:
                  type: string
                  const: managed_atomic
                outcome:
                  type: string
                  const: applied
                operation:
                  type: string
                  enum:
                    - describe
                    - title
                    - tags
                    - source_date
                    - connect
                    - collection_create
                    - collection_update
                    - collection_delete
                    - collection_membership
                node_id:
                  type: string
                node_revision:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                canonical_path:
                  type: string
                replayed:
                  type: boolean
                request_id:
                  type: string
                delta_id:
                  type: string
                subject_id:
                  type: string
                file_id:
                  anyOf:
                    - type: string
                    - type: 'null'
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                description:
                  anyOf:
                    - type: string
                    - type: 'null'
                present:
                  anyOf:
                    - type: boolean
                    - type: 'null'
                base_revision:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    - type: 'null'
                committed_revision:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                effect_id:
                  anyOf:
                    - type: string
                    - type: 'null'
                effect_receipt_ref:
                  type: string
                title:
                  anyOf:
                    - type: string
                    - type: 'null'
                tags:
                  type: array
                  items:
                    type: string
                version_id:
                  type: string
                source_date:
                  anyOf:
                    - type: string
                    - type: 'null'
                changed:
                  type: boolean
                sealed_at:
                  anyOf:
                    - type: string
                    - type: 'null'
                timings_ms:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: number
              required:
                - kind
                - mode
                - outcome
                - operation
                - replayed
                - request_id
                - delta_id
                - subject_id
                - file_id
                - name
                - description
                - present
                - base_revision
                - committed_revision
                - effect_id
                - sealed_at
                - timings_ms
              additionalProperties: {}
          required:
            - request_id
            - outcome
            - replayed
            - data
          additionalProperties: {}
        - type: object
          properties:
            request_id:
              type: string
            outcome:
              type: string
              const: pending
            reason:
              type: string
            operation:
              type: object
              properties:
                id:
                  type: string
                request_id:
                  type: string
                status_url:
                  type: string
              required:
                - id
                - request_id
                - status_url
              additionalProperties: false
            approval:
              type: object
              properties:
                url:
                  type: string
                status:
                  type: string
                expires_at:
                  type: string
                effects:
                  type: array
                  items:
                    type: string
                next:
                  type: string
              required:
                - url
                - status
                - expires_at
                - effects
                - next
              additionalProperties: false
          required:
            - request_id
            - outcome
            - reason
            - operation
            - approval
          additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.